<?php
require_once "../../functions.php";
$pag = basename($_SERVER['PHP_SELF']);
if (comprobar_override(str_replace($_SERVER['DOCUMENT_ROOT'], '', __FILE__))) exit;
gen_plantilla(true, $pag, false, false, '', false, false);

$empleado_filt = filter_input(INPUT_POST, 'empleado', FILTER_SANITIZE_SPECIAL_CHARS);
if (isset($_POST['empleado']) && !empty($empleado_filt))
    $empleados = consulta(
        "SELECT * FROM empleados WHERE nombre LIKE ? ORDER BY nombre;",
        [$empleado_filt . '%'],
        true
    );
else
    $empleados = consulta("SELECT * FROM empleados ORDER BY nombre;", [], true);

for($i=0;$i<count($empleados);$i++) : ?>
<section class="cristal-peque">
    <a href="<?= SITIO_CARPETA ?>/views/tables/documentos?id_empleado=<?= $empleados[$i]['id'] ?>"><?= $empleados[$i]['nombre'] . ' ' . $empleados[$i]['apellidos'] ?></a>
</section>
    
<?php endfor;